headless lms

Remove a person from a space you moderate

POST /api/member/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/removal. Remove a person from a space you moderate. Headless LMS Communities API reference.

POST
/api/member/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/removal

For a moderator who is a member of the community. Revokes the placement, whether it is a membership, a request or an invitation. 409 when the space is open to all members or the placement is already revoked.

Path Parameters

communityId*string
spaceId*string
orgUserId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/communities/string/spaces/string/members/string/removal"
{  "orgId": "string",  "id": "string",  "communityId": "string",  "spaceId": "string",  "orgUserId": "string",  "status": "requested",  "source": "request",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}